Upstream KDE say this package may be broken in latest version and should be "dropped"

Bug #1659762 reported by Rik Mills on 2017-01-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
audiocd-kio (Ubuntu)
Undecided
Unassigned
libkcompactdisc (Ubuntu)
Undecided
Unassigned

Bug Description

Affects v 16.12.1 in zesty proposed

From the KDE Neon mailing list:

https://mail.kde.org/pipermail/neon/2017-January/000366.html

From: Boudhayan Gupta <email address hidden>
To: Jonathan Riddell <email address hidden>
Cc: Discussion of the KDE Neon project <email address hidden>
Date: Wed, 25 Jan 2017 20:38:40 +0100
Subject: Re: libkcompactdisc test
That was mistake on my part, I didn't actually hook it up to CTest.
But libKCompactDisk hasn't worked for ages now and should just be
dropped.

For now we should block the new version migrating from zesty proposed, while investigate issues surrounding this.

New audiocd-kio also depends on this in cmake to build.

A new 16.12 libkcddb would break the old 16.04.3 libkcompactdisc but 16.12.x would be required for packages such as the new Kf5 port of K3B. So may need to drop the new version of libkcompactdisc from proposed, and the old from the archive once we have a new K3B, and also drop a few other pretty obsolete KDE4 packages that depend on old libkcompactdisc.

Rik Mills (rikmills) on 2017-01-27
tags: added: block-proposed
description: updated
Rik Mills (rikmills) on 2017-02-16
tags: removed: block-proposed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers